import request from '@/utils/request'

// 查询路由管理列表
export function listRoute(query) {
  return request({
    url: '/gateway/route/list',
    method: 'get',
    params: query
  })
}

// 查询路由管理详细
export function getRoute(id) {
  return request({
    url: '/gateway/route/' + id,
    method: 'get'
  })
}

// 新增路由管理
export function addRoute(data) {
  return request({
    url: '/gateway/route',
    method: 'post',
    data: data
  })
}

// 修改路由管理
export function updateRoute(data) {
  return request({
    url: '/gateway/route',
    method: 'put',
    data: data
  })
}

// 删除路由管理
export function delRoute(id) {
  return request({
    url: '/gateway/route/' + id,
    method: 'delete'
  })
}
